* {
  box-sizing: border-box;
  font-family: system-ui, sans-serif;
}

body {
  margin: 0;
  background: #f7f7f7;
  height: 100vh;
  display: flex;
  justify-content: center;
}

h3 {
    font-size: 17px;
    color: #3C3C4399;
}
.app {
  position: relative;
  padding: 24px 32px;
  border-radius: 16px;
  width: 650px;
  max-width: 650px;
  height: fit-content;
  text-align: center;
  display: flex;
  flex-direction: column;
  align-items: center;
}

.searchBar {
    display: flex;
    justify-content: space-between;
    align-items: center;
    margin-bottom: 24px;
    width: 100%;
    padding: 15px;
    border-radius: 20px;
    height: 50px;
    background-color: #7676801F;
}

.left {
    display: flex;
    gap: 5px;
    align-items: center;
}

.right {
    width: 90px;
    height: 36px;
    display: flex;
    justify-content: center;
    gap: 5px;
    align-items: center;
    background-color: #FFFFFF;
    box-shadow: 0 2px 4px rgba(0,0,0,0.1);
    border-radius: 30px;
}

#timer {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  font-size: 16px;
  font-weight: 500;
  color: #3b3b3b;
  pointer-events: none;
  z-index: 2;
}
.wave-container {
  position: relative;
  width: 350px;
  height: 80px;
  background: #e9eefb;
  border-radius: 40px;
  overflow: hidden;
  margin-bottom: 16px;
}

#waveform {
  width: 100%;
  height: 100%;
  display: block;
}

canvas {
  width: 100%;
  height: 100%;
}

.recording-section {
  position: sticky;
  bottom: 30px;
  padding-top: 16px;
  padding-bottom: 16px;
  display: flex;
  flex-direction: column;
  align-items: center;
  width: 360px;
  z-index: 10;
  box-shadow: 0 2px 8px rgba(0,0,0,0.1);
  border-radius: 40px;
  
}

.record-btn {
  display: flex;
  align-items: center;
  justify-content: center;
  width: 350px;
  height: 60px;
  padding: 20px 40px;
  border: 1px solid #000;
  border-radius: 30px;
  background: #000;
  color: #fff;
  font-size: 16px;
  cursor: pointer;
  margin-bottom: 24px;
}

.record-btn.recording {
  background: #e63946;
}

.recordings {
  flex: 1;
  width: 100%;
  overflow-y: auto;
  padding-right: 6px;
  padding-bottom: 140px;
}

.recordings.disabled {
  opacity: 0.5;
  pointer-events: none;
  user-select: none;
}

.recordings ul {
  list-style: none;
  padding: 0;
}

.recordings li {
  display: flex;
  justify-content: center;
  align-items: center;
  margin-bottom: 8px;
}


.delete-btn {
  border: none;
  background: transparent;
  cursor: pointer;
  font-size: 16px;
}

.delete-btn:hover {
  opacity: 0.7;
}
